package com.rjconsultores.ventaboletos.exception;

import java.text.MessageFormat;

import org.zkoss.util.resource.Labels;

public class ValidacaoRemessaException extends RuntimeException {

	private static final long serialVersionUID = -919934943159729995L;
	
	public ValidacaoRemessaException(String message) {
		super(message);
	}
	
	public ValidacaoRemessaException(String message, Object oMsg, Object... parametros) {
		super(new MessageFormat(Labels.getLabel(message, parametros)).format(oMsg));
	}

}
